#! /usr/bin/python3

import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
plt.ioff()
plt.style.use('bmh')
plt.figure(figsize=(19.2,10.8))

data = pd.read_csv("./log.csv")

print(data)

#plt.errorbar(
#    data['time'],
#    data['act_curr_ps'], 
#    yerr=data['act_curr_ps']*.002, 
#    label="Spannungsquelle Ausgang",
#    fmt='.'
#)
#plt.errorbar(
#    data['time'],
#    data['act_curr_el']-.125, 
#    label="Elektronische Last Eingang",
#    fmt='.'
#)

plt.errorbar(
    data['perc_power'],
    data['pit_i48'],
    fmt='.'
)
plt.errorbar(
    data['perc_power'],
    data['act_curr_ps'],
    fmt='.'
)

#plt.ylabel('$\Delta$I/A')
#plt.xlabel('I$_{set}$/A')
plt.legend()
#-plt.savefig("2kw_direct.png")

plt.savefig("adccalib.eps", format='eps', dpi=1000)
